summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYann Gautier <yann.gautier@st.com>2023-03-08 14:24:38 +0100
committerArthur She <arthur.she@linaro.org>2023-03-17 05:23:03 +0100
commit7e9d6cfd7138bf0a69f521828620932bf6f34563 (patch)
tree72ebe5e55e46778c20582e830aa15cb038b94011
parentcacda17fb7f6c21524e523ea419ac249b9cbe96f (diff)
build_package.sh: keep stm32 files when collecting build artefacts
For STM32MP1 platforms, BL2 is packaged with its DT in an *.stm32 file. This file is the copied in the first stage boot loader partition of the boot device. To ease tests and debug it can be handy to keep this stm32 file in the build artefacts. Signed-off-by: Yann Gautier <yann.gautier@st.com> Change-Id: I5888ace39beb42d2a16c7381d26f6b7fc8292438
-rwxr-xr-xscript/build_package.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/script/build_package.sh b/script/build_package.sh
index d2195283..0738b4f9 100755
--- a/script/build_package.sh
+++ b/script/build_package.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
#
-# Copyright (c) 2019-2022 Arm Limited. All rights reserved.
+# Copyright (c) 2019-2023 Arm Limited. All rights reserved.
#
# SPDX-License-Identifier: BSD-3-Clause
#
@@ -163,7 +163,7 @@ collect_build_artefacts() {
return
fi
- if ! find "$from" \( -name "*.bin" -o -name '*.elf' -o -name '*.dtb' -o -name '*.axf' \) -exec cp -t "${to:?}" '{}' +; then
+ if ! find "$from" \( -name "*.bin" -o -name '*.elf' -o -name '*.dtb' -o -name '*.axf' -o -name '*.stm32' \) -exec cp -t "${to:?}" '{}' +; then
echo "You probably are running local CI on local repositories."
echo "Did you set 'dont_clean' but forgot to run 'distclean'?"
die